| optoICC

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.TempCompensation Class Reference
Inheritance diagram for optoICC.registers.icc_registers.TempCompensation:

## Classes
class | Mode

## Public Member Functions
def | __init__ (self, board=None, numberOfChannels=4)
def | SetMode (self, mode)
def | GetMode (self)
def | SetMatrix (self, matrix)
def | SetMatrixAsVector (self, index, vector)
def | GetMatrixAsVector (self, index, count)
def | GetLastOutput (self)
def | SetPatternSegment (self, index, vector)
def | GetPatternSegment (self, addr, int index, int count)

## Public Attributes
| name
| sys_id
| mode
| alpha
| downsample
| position_select
| vector
| M
| N

## Detailed Description

    Device Functionality - Temperature Compensation
    System ID: 0x26

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | mode                      | 0x00 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | alpha                     | 0x01 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | downsample                | 0x02 |int  32-bit  |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.TempCompensation.__init__ | ( |  | self,
|  |  | board = `None`,
|  |  | numberOfChannels = `4`
| ) |  |

## Member Function Documentation

## ◆ GetLastOutput()

def optoICC.registers.icc_registers.TempCompensation.GetLastOutput | ( |  | self | ) |

## ◆ GetMatrixAsVector()

def optoICC.registers.icc_registers.TempCompensation.GetMatrixAsVector | ( |  | self,
|  |  | index,
|  |  | count
| ) |  |

## ◆ GetMode()

def optoICC.registers.icc_registers.TempCompensation.GetMode | ( |  | self | ) |

## ◆ GetPatternSegment()

def optoICC.registers.icc_registers.TempCompensation.GetPatternSegment | ( |  | self,
|  |  | addr,
|  | int | index,
|  | int | count
| ) |  |

## ◆ SetMatrix()

def optoICC.registers.icc_registers.TempCompensation.SetMatrix | ( |  | self,
|  |  | matrix
| ) |  |

## ◆ SetMatrixAsVector()

def optoICC.registers.icc_registers.TempCompensation.SetMatrixAsVector | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## ◆ SetMode()

def optoICC.registers.icc_registers.TempCompensation.SetMode | ( |  | self,
|  |  | mode
| ) |  |

## ◆ SetPatternSegment()

def optoICC.registers.icc_registers.TempCompensation.SetPatternSegment | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## Member Data Documentation

## ◆ alpha

optoICC.registers.icc_registers.TempCompensation.alpha

## ◆ downsample

optoICC.registers.icc_registers.TempCompensation.downsample

## ◆ M

optoICC.registers.icc_registers.TempCompensation.M

## ◆ mode

optoICC.registers.icc_registers.TempCompensation.mode

## ◆ N

optoICC.registers.icc_registers.TempCompensation.N

## ◆ name

optoICC.registers.icc_registers.TempCompensation.name

## ◆ position_select

optoICC.registers.icc_registers.TempCompensation.position_select

## ◆ sys_id

optoICC.registers.icc_registers.TempCompensation.sys_id

## ◆ vector

optoICC.registers.icc_registers.TempCompensation.vector

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py